pip — все вопросы

2ответа
4 голоса
Tensorboard TypeError: __init __ () получил неожиданный аргумент ключевого слова 'file'
Я запускаю тензорную доску 1.8.0 в cmd, используя tensorboard --logdir=I:\logs. Ошибка: I:\> tensorboard --logdir=I:\logs Traceback (most recent call last): File "c:\python35\lib\runpy.py", l
3ответа
4 голоса
не могу установить libxml2 в virtualenv
У меня проблема с модулем Python libxml2. Я пытаюсь установить его на python3 virtualenv , используя следующую команду: pip install libxml2-python3 но он показывает следующую ошибку: Coll
2ответа
4 голоса
«Pip» распознается в командной строке, но не в терминале PyCharm
Когда я пытаюсь запустить pip в командной строке Windows, pip -V работает нормально, но когда я пытаюсь запустить его в терминале PyCharm Я получаю 'pip' is not recognized as an internal or external
3ответа
4 голоса
Быстро на Google Colab
Два дня назад я запустил свою модель, используя fastai 0.7.0 на Google Colab. И в течение двух дней я был занят, и теперь, если я пытаюсь запустить его, он выдает ошибку при выполнении строки * "из f
1ответ
4 голоса
Как я могу настроить pip3, используя python3.6, а не python3.4 в Ubuntu 14.04?
По умолчанию python3 в Ubuntu 14.04 имеет значение 3.4.3 но я хочу использовать вместо него 3.6.3. Я следовал приведенным ниже командам, чтобы установить 3.6.3: $ sudo apt-get update $ sudo apt
1ответ
4 голоса
Python не «видит» пакет
Я следовал этому руководству, чтобы установить python2.7 на моем CentOS 5.5: http://villaroad.com/2010/10 /качению питона-2-6-2-на-CentOS-5-3 / После установки Python 2.7 у меня есть: /opt/pyt
1ответ
4 голоса
Проблема установки Pip NLTK в Ubuntu с использованием Virtualenv
Для справки вот документация по установке nltk nltk здесь Есть ли способ установить nltk с помощью pip и virtualenv? Я установил зависимости с помощью pip в моем virtualenv, но когда я пытаюсь
1ответ
4 голоса
Как я могу заставить pip /setuptools понять, что мой пакет находится в ./src?
У меня есть библиотека с таким макетом в Github: README setup.py src/ somelibrary.py Примечание. Я не могу изменить макет, но могу изменить файл setup.py. Я хочу, чтобы у меня была возмож
1ответ
4 голоса
Почему я получаю эту ошибку (связанную с pip и easy_install) при попытке настроить virtualenv?
Я пытаюсь создать приложение Flask для отправки в Heroku. Когда я пытаюсь создать virtualenv в папке, я получаю эту ошибку: photo-crawl › sudo virtualenv venv --distribute Password: New python exe
1ответ
4 голоса
Я хочу получить модуль dpkt для Python, и я понятия не имею. Мне нужно перехватить трафик с впн
haskelltime: Desktop kasimov $ pip search dpkt dpkt - тупой пакетный модуль dpkt-fix - модуль простого пакета УСТАНОВЛЕНО: 1.7 (самое последнее) haskelltime: Desktop kasimov $ pip instal
1ответ
4 голоса
Отсутствует заголовок tiffio.h, устанавливающий подушку на Mac OS X
При попытке установить подушку с помощью PIP выдается следующее сообщение об ошибке: μ ~: pip install pillow ... libImaging/TiffDecode.h:10:10: fatal error: 'tiffio.h' file not found #include <
2ответа
4 голоса
Замена зависимости пользовательскими вилками с помощью pip
Я создаю приложение, которое использует photologue и несколько других пакетов с photologue как зависимость (например, cmsplugin-photologue). Однако мне нужно использовать модифицированную версию pho
1ответ
4 голоса
Синтаксис установки pip для разрешения небезопасных
Я пытался запустить $pip install --upgrade --allow-insecure setuptools но это не похоже на работу? мой синтаксис неправильный? это на Ubuntu 13.10 Мне нужно - небезопасно, так как я не смог
3ответа
4 голоса
установить virtualenv с помощью pip или pip3?
Я использовал brew для установки как python2, так и python3 brew install python brew install python3 Я заметил, что есть pip и pip3, поэтому какой pip мне следует использовать для создания virt
3ответа
4 голоса
Может ли setup.py использовать pip вместо easy_install? [Дубликат]
     На этот вопрос уже есть ответ здесь:                   Могу ли я использовать `pip` вместо `easy_install` для` python setup.py install` разрешения зависимостей?                         
1ответ
4 голоса
Колесо установки Python 3.4 pip не работает на Yosemite - «не поддерживаемое колесо на этой платформе»
Я пытался установить numpy, pysci и т. д. на MacBook Pro с Yosemite и новой установкой ActiveState Python 3.4. Я пробовал много файлов колес, и все они терпят неудачу с "не поддерживаемым колесом на
1ответ
4 голоса
ImportError: невозможно импортировать имя ProtocolError
Недавно у меня возникли трудности с использованием pip, и каждый раз, когда я пытался выполнить команду pip, я получал следующее сообщение об ошибке. File "/usr/bin/pip", line 9, in <module>
1ответ
4 голоса
Извлечь колеса Python из кэша Pip-колес?
Похоже, что pip теперь выполняет автоматическое кэширование колес: http://pip.readthedocs.org/en/stable /ссылка /pip_install /# колесо-кэш Я пытаюсь собрать диски, чтобы создать установщик д
1ответ
4 голоса
установка pip из SVN [ошибка 2]
Я пытаюсь установить пакет через pip из репозитория SVN. Версия сервера Subversion - 1.6.11. Я использую команду ниже: pip install -e svn+http://svn.mysite.com/svn/project/project#egg=project
1ответ
4 голоса
Как установить MySQL-коннектор для Python 3.5.1?
Я нахожусь на python 3.5.1, и у меня возникают проблемы с установкой MySQL коннектора: install --allow-external mysql-connector-python-rf mysql-connector-python-rf не работает, как и обычная ко
1 2 3 4 5

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132